Xapian: API Documentation: xapian-core: Xapian::Registry Class Reference

# Xapian::Registry Class Reference

Registry for user subclasses. More...

List of all members.

## Public Member Functions
| Registry (const Registry &other)
| Copy constructor.
Registry & | operator= (const Registry &other)
| Assignment operator.
| Registry ()
| Default constructor.
void | register_weighting_scheme (const Xapian::Weight &wt)
| Register a weighting scheme.
const Xapian::Weight * | get_weighting_scheme (const std::string &name) const
| Get the weighting scheme given a name.
void | register_posting_source (const Xapian::PostingSource &source)
| Register a user-defined posting source class.
const Xapian::PostingSource * | get_posting_source (const std::string &name) const
| Get a posting source given a name.
void | register_match_spy (const Xapian::MatchSpy &spy)
| Register a user-defined match spy class.
const Xapian::MatchSpy * | get_match_spy (const std::string &name) const
| Get a match spy given a name.

## Detailed Description

Registry for user subclasses.

This class provides a way for the remote server to look up user subclasses when unserialising.

## Constructor & Destructor Documentation

Xapian::Registry::Registry | ( | const Registry & | other | ) |

Copy constructor.

The internals are reference counted, so copying is cheap.

Xapian::Registry::Registry | ( |  | ) |

Default constructor.

The registry will contain all standard subclasses of user-subclassable classes.

## Member Function Documentation

const Xapian::MatchSpy* Xapian::Registry::get_match_spy | ( | const std::string & | name | ) | const

Get a match spy given a name.

The returned match spy is owned by the registry object.

Returns NULL if the match spy could not be found.

const Xapian::PostingSource* Xapian::Registry::get_posting_source | ( | const std::string & | name | ) | const

Get a posting source given a name.

The returned posting source is owned by the registry object.

Returns NULL if the posting source could not be found.

const Xapian::Weight* Xapian::Registry::get_weighting_scheme | ( | const std::string & | name | ) | const

Get the weighting scheme given a name.

The returned weighting scheme is owned by the registry object.

Returns NULL if the weighting scheme could not be found.

Registry& Xapian::Registry::operator= | ( | const Registry & | other | ) |

Assignment operator.

The internals are reference counted, so assignment is cheap.

The documentation for this class was generated from the following file:

- xapian/registry.h